﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using GASS.CUDA.Types;
using Microsoft.Xna.Framework.Graphics;

namespace Visualizator
{
    public struct CUDAVertexPositionColor
    {
        public Float3 Position;
        public Color Color;

        public CUDAVertexPositionColor(Float3 position, Color color)
        {
            this.Position = position;
            this.Color = color;
        }

        public static VertexElement[] VertexElements =
             {
                 new VertexElement(0, 0, VertexElementFormat.Vector3, VertexElementMethod.Default, VertexElementUsage.Position, 0),
                 new VertexElement(0, sizeof(float)*3, VertexElementFormat.Color, VertexElementMethod.Default, VertexElementUsage.Color, 0),
             };

        public static int SizeInBytes = sizeof(float) * (3 + 1);
    }
}
