#pragma once

class Util
{
public:

    // Returns a random float in the range [0, 1]
    static float NextFloat();

    // Returns a random Vector4 in the range [min, max]
    static Vector4 NextVector4(Vector4 min, Vector4 max);

    // Returns a normalized random Vector4
    static Vector4 NextVector4();

    // Component-wise Vector4 multiplication
    static Vector4 Mult(Vector4 v1, Vector4 v2);

    // Distance between the two Vector4, ignoring w component.
    static float Distance(Vector4 v1, Vector4 v2);

	
};
