global outputDir = @"C:\Users\Juan\Documents\Tesis\src\Visualizator2\Content\"

fn Error msg = ( MessageBox msg );
fn ExportMesh o exportData:#(#verts, #faces) =
(
	if (o == undefined) then ( Error "Undefined mesh passed";  return() )
	if (o.Name == undefined) then ( Error "Undefined mesh passed";  return() )
	
	tmesh = snapshotAsMesh o
	out_name = outputDir + o.Name;
	out_file = createfile out_name
	num_verts = tmesh.numverts 
	num_faces = tmesh.numfaces
	
	if (findItem exportData #verts != 0) then
		format "%\n" num_verts to:out_file
	else
		format "%\n" 0 to:out_file
	if (findItem exportData #faces != 0) then
		format "%\n" num_faces to:out_file
	else
		format "%\n" 0 to:out_file
	
	if (findItem exportData #verts != 0) then
		for v = 1 to num_verts do
		(
			vert = getVert tmesh v
			format "% % %\n" vert.x vert.z -vert.y to:out_file
		)
	if (findItem exportData #faces != 0) then
		for f = 1 to num_faces do
		(
			face = getFace tmesh f
			format "% % %\n" (face.x as integer) (face.y as integer) (face.z as integer) to:out_file
		)
	close out_file
	delete tmesh

	edit out_name
)

ExportMesh selection[1]