﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Visualizator
{
    public class Camera : GameComponent
    {
        public Matrix View;
        public Matrix Projection;

        public Camera(Game game)
            : base(game)
        {
            View = Matrix.CreateLookAt(new Vector3(0, 0, -100), new Vector3(0, 0, 0), Vector3.Up);
            Projection = Matrix.CreatePerspectiveFieldOfView(Settings.FoV, Settings.ViewportSize.X / Settings.ViewportSize.Y, Settings.NearPlane, Settings.FarPlane);
        }
    }
}
