﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Visualizator
{
	internal static class Settings
	{
        // Camera related
        public static Point ViewportSize = new Point(1280, 720);
        public static float NearPlane = 0.1f;
        public static float FarPlane = 100f;
        public static float FoV = MathHelper.ToRadians(22);


        public static int ParticleCount = 100000;
        public static BoundingBox WorldBox = new BoundingBox(new Vector3(-10, -10, -10), new Vector3(10, 10, 10));
	}
}
