#pragma once

// CUDA
#include <cuda.h>
#include <builtin_types.h>

// includes
#include <types.h>
#include <vector>

class DistanceConstraint
{
public:
    static void Execute(void *pos, void *springs, unsigned int springCount, int iterations, float dt);
    static void ExecuteBatched(void *pos, void **springArrays, void *springArraySizes, unsigned int springArrayCount, int largestArraySize, int iterations, float dt);
};