#pragma once

class Vector4
{
public:

    float x, y, z, w;

    Vector4(void);
    Vector4(float x, float y, float z, float w);
    ~Vector4(void);


    static float Vector4::Distance(Vector4 v1, Vector4 v2);

	inline Vector4 operator+ (Vector4 v)
	{
		return Vector4(x + v.x, y + v.y, z + v.z, w + v.w);
	}

	inline Vector4 operator- (Vector4 v)
	{
		return Vector4(x - v.x, y - v.y, z - v.z, w - v.w);
	}

	inline Vector4 operator* (float f)
	{
		return Vector4(x * f, y * f, z * f, w * f);
	}

};
